MWAWCellContent Class Reference documentation

Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
MWAWCellContent Class Reference

small class use to define a sheet cell content More...

`#include <MWAWCell.hxx>`

## Classes
struct | FormulaInstruction
| small class use to define a formula instruction More...

## Public Types
enum | Type { C_NONE , C_TEXT , C_NUMBER , C_FORMULA , C_UNKNOWN }
| the different types of cell's field More...

## Public Member Functions
| MWAWCellContent ()
| constructor
| MWAWCellContent (MWAWCellContent const &)=default
MWAWCellContent & | operator= (MWAWCellContent const &)=default
MWAWCellContent & | operator= (MWAWCellContent &&)=default
| ~MWAWCellContent ()
| destructor
bool | empty () const
| returns true if the cell has no content
void | setValue (double value)
| sets the double value
bool | isValueSet () const
| returns true if the value has been setted
bool | hasText () const
| returns true if the text is set

## Static Public Member Functions
static bool | double2Date (double val, int &Y, int &M, int &D)
| conversion beetween double days since 1900 and a date, ie val=0 corresponds to 1/1/1900, val=365 to 1/1/1901, ...
static bool | double2Time (double val, int &H, int &M, int &S)
| conversion beetween double: second since 0:00 and time
static bool | double2String (double val, MWAWCell::Format const &format, std::string &str)
| conversion of the value in string knowing the cell format
static bool | date2Double (int Y, int M, int D, double &val)
| conversion beetween date and double days since 1900 date

## Public Attributes
Type | m_contentType
| the content type ( by default unknown )
double | m_value
| the cell value
bool | m_valueSet
| true if the value has been set
MWAWEntry | m_textEntry
| the cell string
std::vector< FormulaInstruction > | m_formula
| the formula list of instruction

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWCellContent const &cell)
| operator<<

## Detailed Description

small class use to define a sheet cell content

## Member Enumeration Documentation

## ◆ Type

enum MWAWCellContent::Type

the different types of cell's field

Enumerator
C_NONE |
C_TEXT |
C_NUMBER |
C_FORMULA |
C_UNKNOWN |

## Constructor & Destructor Documentation

## ◆ MWAWCellContent() [1/2]

MWAWCellContent::MWAWCellContent | ( |  | ) |
| inline

constructor

## ◆ MWAWCellContent() [2/2]

MWAWCellContent::MWAWCellContent | ( | MWAWCellContent const & |  | ) |
| default

## ◆ ~MWAWCellContent()

MWAWCellContent::~MWAWCellContent | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ date2Double()

bool MWAWCellContent::date2Double | ( | int | Y,
|  | int | M,
|  | int | D,
|  | double & | val )
| static

conversion beetween date and double days since 1900 date

Referenced by RagTimeSpreadsheet::readFormulaV2(), and RagTimeSpreadsheet::readSpreadsheetCellV2().

## ◆ double2Date()

bool MWAWCellContent::double2Date | ( | double | val,
|  | int & | Y,
|  | int & | M,
|  | int & | D )
| static

conversion beetween double days since 1900 and a date, ie val=0 corresponds to 1/1/1900, val=365 to 1/1/1901, ...

Referenced by MacWrtProParser::convertDateToDebugString(), MWAWSpreadsheetListener::openSheetCell(), and MWAWRSRCParser::parse().

## ◆ double2String()

bool MWAWCellContent::double2String | ( | double | val,
|  | MWAWCell::Format const & | format,
|  | std::string & | str )
| static

conversion of the value in string knowing the cell format

Referenced by ClarisWksDbaseContent::send().

## ◆ double2Time()

bool MWAWCellContent::double2Time | ( | double | val,
|  | int & | H,
|  | int & | M,
|  | int & | S )
| static

conversion beetween double: second since 0:00 and time

Referenced by MacWrtProParser::convertDateToDebugString(), MWAWSpreadsheetListener::openSheetCell(), and MWAWRSRCParser::parse().

## ◆ empty()

bool MWAWCellContent::empty | ( |  | ) | const
| inline

returns true if the cell has no content

Referenced by BeagleWksDBParserInternal::Cell::empty(), MsWksDBParserInternal::FieldType::empty(), GreatWksDBParserInternal::Cell::isEmpty(), GreatWksSSParserInternal::Cell::isEmpty(), MsWksSSParserInternal::Cell::isEmpty(), and MsWksDBParserInternal::FieldType::updateWithContent().

## ◆ hasText()

bool MWAWCellContent::hasText | ( |  | ) | const
| inline

returns true if the text is set

## ◆ isValueSet()

bool MWAWCellContent::isValueSet | ( |  | ) | const
| inline

returns true if the value has been setted

Referenced by empty(), MWAWSpreadsheetListener::openSheetCell(), MsWksSSParser::readCell(), WingzParser::readSpreadsheetCellList(), RagTimeSpreadsheet::send(), ClarisWksDatabase::sendDatabase(), ClarisWksSpreadsheet::sendSpreadsheet(), GreatWksDBParserInternal::Field::updateCell(), BeagleWksDBParserInternal::Database::updateWithContent(), and MsWksDBParserInternal::FieldType::updateWithContent().

## ◆ operator=() [1/2]

MWAWCellContent & MWAWCellContent::operator= | ( | MWAWCellContent && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWCellContent & MWAWCellContent::operator= | ( | MWAWCellContent const & |  | ) |
| default

## ◆ setValue()

void MWAWCellContent::setValue | ( | double | value | ) |
| inline

sets the double value

Referenced by GreatWksSSParser::readCell(), JazzSSParser::readCell(), MsWksSSParser::readCell(), GreatWksDBParser::readFieldRecords(), MsWksDocument::readFormula(), GreatWksDBParser::readFormulaResult(), ClarisWksDbaseContent::readRecordDB(), MsWksDBParser::readRecords(), BeagleWksDBParser::readRow(), GreatWksDBParser::readRowRecords(), MultiplanParser::readSharedData(), RagTimeSpreadsheet::readSpreadsheetCellContent(), WingzParser::readSpreadsheetCellList(), RagTimeSpreadsheet::readSpreadsheetCellV2(), RagTimeSpreadsheet::send(), MultiplanParser::sendCell(), ClarisWksDatabase::sendDatabase(), ClarisWksSpreadsheet::sendSpreadsheet(), RagTime5SpreadsheetInternal::CellValue::update(), GreatWksDBParserInternal::Field::updateCell(), BeagleWksDBParserInternal::Database::updateWithContent(), and MsWksDBParserInternal::FieldType::updateWithContent().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWCellContent const & | cell )
| friend

operator<<

## Member Data Documentation

## ◆ m_contentType

Type MWAWCellContent::m_contentType

the content type ( by default unknown )

Referenced by empty(), GreatWksSSParser::readCell(), JazzSSParser::readCell(), MsWksSSParser::readCell(), MsWksDBParser::readDefaultValues(), GreatWksDBParser::readFieldRecords(), MsWksDBParser::readFieldTypes(), GreatWksDBParser::readFormulaResult(), ClarisWksDbaseContent::readRecordDB(), MsWksDBParser::readRecords(), BeagleWksDBParser::readRow(), GreatWksDBParser::readRowRecords(), MultiplanParser::readSharedData(), RagTimeSpreadsheet::readSpreadsheetCellContent(), WingzParser::readSpreadsheetCellList(), RagTimeSpreadsheet::readSpreadsheetCellV2(), RagTimeSpreadsheet::readSpreadsheetComplexStructure(), ClarisWksDbaseContent::send(), RagTime5Spreadsheet::send(), MultiplanParser::sendCell(), MsWksDBParser::sendDatabase(), WingzParserInternal::Spreadsheet::update(), RagTime5SpreadsheetInternal::CellValue::update(), GreatWksDBParserInternal::Field::updateCell(), MsWksDBParserInternal::SerialFormula::updateContent(), ClarisWksDbaseContent::Record::updateFormulaCells(), BeagleWksDBParserInternal::Database::updateWithContent(), and MsWksDBParserInternal::FieldType::updateWithContent().

## ◆ m_formula

std::vector<FormulaInstruction> MWAWCellContent::m_formula

the formula list of instruction

Referenced by empty(), MWAWSpreadsheetListener::openSheetCell(), GreatWksSSParser::readCell(), JazzSSParser::readCell(), MsWksDocument::readFormula(), MultiplanParser::readSharedData(), RagTimeSpreadsheet::readSpreadsheetCellV2(), RagTimeSpreadsheet::readSpreadsheetComplexStructure(), RagTime5Spreadsheet::send(), MultiplanParser::sendCell(), ClarisWksDatabase::sendDatabase(), WingzParserInternal::Spreadsheet::update(), GreatWksDBParserInternal::Field::updateCell(), MsWksDBParserInternal::SerialFormula::updateContent(), ClarisWksDbaseContent::Record::updateFormulaCells(), BeagleWksDBParserInternal::Database::updateWithContent(), MsWksDBParserInternal::FieldType::updateWithContent(), and RagTimeSpreadsheetInternal::Cell::validateFormula().

## ◆ m_textEntry

MWAWEntry MWAWCellContent::m_textEntry

the cell string

Referenced by empty(), hasText(), GreatWksSSParser::readCell(), JazzSSParser::readCell(), MsWksSSParser::readCell(), MsWksDBParser::readDefaultValues(), GreatWksDBParser::readFieldRecords(), GreatWksDBParser::readFormulaResult(), ClarisWksDbaseContent::readRecordDB(), MsWksDBParser::readRecords(), BeagleWksDBParser::readRow(), GreatWksDBParser::readRowRecords(), MultiplanParser::readSharedData(), RagTimeSpreadsheet::readSpreadsheetCellContent(), WingzParser::readSpreadsheetCellList(), RagTimeSpreadsheet::readSpreadsheetCellV2(), RagTimeSpreadsheet::send(), MultiplanParser::sendCell(), MsWksDBParser::sendDatabase(), ClarisWksDatabase::sendDatabase(), ClarisWksSpreadsheet::sendSpreadsheet(), BeagleWksDBParserInternal::Database::updateWithContent(), and MsWksDBParserInternal::FieldType::updateWithContent().

## ◆ m_value

double MWAWCellContent::m_value

the cell value

Referenced by MWAWSpreadsheetListener::openSheetCell(), MsWksSSParser::readCell(), WingzParser::readSpreadsheetCellList(), RagTimeSpreadsheet::send(), ClarisWksDatabase::sendDatabase(), ClarisWksSpreadsheet::sendSpreadsheet(), setValue(), GreatWksDBParserInternal::Field::updateCell(), BeagleWksDBParserInternal::Database::updateWithContent(), and MsWksDBParserInternal::FieldType::updateWithContent().

## ◆ m_valueSet

bool MWAWCellContent::m_valueSet

true if the value has been set

Referenced by isValueSet(), ClarisWksDatabase::sendDatabase(), and setValue().

The documentation for this class was generated from the following files:

- MWAWCell.hxx
- MWAWCell.cxx